STRUCT TEMPLATE (3)

NAME
boost::proto::terminal - A metafunction for generating terminal expression types, a grammar element for matching terminal expressions, and a PrimitiveTransform that returns the current expression unchanged.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T>
struct terminal :  proto::transform< terminal<T> > {
  // types
  typedef proto::expr< proto::tag::terminal, proto::term< T > >       type;
  typedef proto::basic_expr< proto::tag::terminal, proto::term< T > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :  proto::transform_impl< Expr, State, Data > {
    // types
    typedef Expr result_type;
    // public member functions
    Expr operator()(typename impl::expr_param, typename impl::state_param,
                    typename impl::data_param) const;
  };
};

DESCRIPTION